/**
 *******************************************************************************
 * @file    tmpm383_vltd.c
 * @brief   This file provides API functions for VLTD driver. 
 * @version V2.0.2.1
 * @date    2015/06/04
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm383_vltd.h"

#if defined(__TMPM383_VLTD_H)
/** @addtogroup TX03_Periph_Driver
  * @{
  */
/** @defgroup VLTD
  * @brief VLTD driver modules
  * @{
  */

/** @defgroup VLTD_Private_Defines
  * @{
  */

/** @} */
/* End of group VLTD_Private_Defines */

/** @defgroup VLTD_Exported_Functions
  * @{
  */

/**
  * @brief  Enable the operation of voltage detection.
  * @param  None
  * @retval None
  * @register The used register:
  *   VDCR<VDEN>
  */
void VLTD_Enable(void)
{
    TSB_VD_CR_VDEN = 1U;
}

/**
  * @brief  Disable the operation of voltage detection.
  * @param  None
  * @retval None
  * @register The used register:
  *   VDCR<VDEN>
  */
void VLTD_Disable(void)
{
    TSB_VD_CR_VDEN = 0U;
}

/** @} */
/* End of group VLTD_Exported_Functions */
/** @} */
/* End of group VLTD */
/** @} */
/* End of group TX03_Periph_Driver */
#endif                          /* defined(__TMPM383_VLTD_H) */
