/**
 *******************************************************************************
 * @file    tmpm383_dnf_int.c
 * @brief   All interrupt request functions definition of DNF
 *          for the TOSHIBA 'TMPM383' Device Series 
 * @version V0.100
 * @date    2015/06/03
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm383_dnf_int.h"
/* External variables --------------------------------------------------------*/
volatile extern uint32_t Flag;
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  INT3 noise filter interrupt.
  * @param  None
  * @retval None
  */
void INT3_IRQHandler(void)
{
    Flag = 1U;
    NVIC_DisableIRQ(INT3_IRQn);
}

/*********************************** END OF FILE ******************************/
