/**
 *******************************************************************************
 * @file    retarget_int.c
 * @brief   interrupt request functions definition of UART_Retarget 
 * @version V0.100
 * @date    2015/06/18
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "retarget.h"

uint8_t gSIOTxBuffer[BUFFER_SIZE] = { 0U };

volatile uint8_t gSIORdIndex = 0U;
volatile uint8_t gSIOWrIndex = 0U;
uint8_t fSIO_INT = 0U;
uint8_t fSIOTxOK = NO;

/**
  * @brief  INTTXx Interrupt Service Routine.
  * @param  None
  * @retval None
  */

void Retartget_IRQHandler(void)
{
    uint8_t tmp;

    tmp = gSIORdIndex;
    if (tmp < gSIOWrIndex) {    /* buffer is not empty */
        UART_SetTxData(UART_RETARGET, gSIOTxBuffer[gSIORdIndex++]);     /* send data */
        fSIO_INT = SET;         /* SIOx INT is enable */
    } else {
        /* disable SIOx INT */
        fSIO_INT = CLEAR;
        NVIC_DisableIRQ(INT_RETARGET_IRQn);
        fSIOTxOK = YES;
    }
    tmp = gSIORdIndex;
    if (tmp >= gSIOWrIndex) {   /* reset buffer index */
        gSIOWrIndex = CLEAR;
        gSIORdIndex = CLEAR;
    } else {
        /* do nothing */
    }
}
