/** 
 *******************************************************************************
 * @file    tmpm383_int.h
 * @brief   All interrupt request functions definition of RMC_Receiving 
 *          for the TOSHIBA 'TMPM383' Device Series 
 * @version V0.100
 * @date    2015/06/16
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __SYSTEM_IT_H
#define __SYSTEM_IT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* External variables --------------------------------------------------------*/
#define BUFFER_SIZE 16U
extern volatile char gSIOTxBuffer[BUFFER_SIZE];
extern volatile uint8_t gSIORdIndex;
extern volatile uint8_t gSIOWrIndex;
extern volatile uint8_t fSIO_INT;

#ifdef RMC_3
extern volatile IO_SFR32_u uRMCBuf_KA;
#endif

#ifdef RMC_4
extern uint8_t gRMC_4Address;
#endif

/* Private function prototypes -----------------------------------------------*/

void INTTX0_IRQHandler(void);
void INTRMCRX_IRQHandler(void);
void INTTB00_IRQHandler(void);

#endif                          /* __SYSTEM_IT_H */
