/**
 *******************************************************************************
 * @file    main.h
 * @brief   The header file for main.c of SBI master demo for the
 *          TOSHIBA 'TMPM383' Device Series 
 * @version V0.100
 * @date    2015/06/17
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#include "sw.h"
#include "tmpm383_gpio.h"
#include "tmpm383_sbi.h"
#include "tmpm383_uart.h"

#define SELF_ADDR                ((uint8_t)0xE0)
#define SLAVE_ADDR               ((uint8_t)0xB0)
#define SBI_I2C_SEND             ((uint32_t)0x00000000)
#define SBI_I2C_RECEIVE          ((uint32_t)0x00000001)
#define SBICR2_MST_SET           ((uint32_t)0x000000C0)

#define MODE_SBI_I2C_IDLE        ((uint8_t)0x00)
#define MODE_SBI_I2C_INITIAL     ((uint8_t)0x10)
#define MODE_SBI_I2C_START       ((uint8_t)0x20)
#define MODE_SBI_I2C_TRX         ((uint8_t)0x21)
#define SBI_I2C_TRX_FINISHED     ((uint8_t)0x30)
#define SBI_I2C_RCV_FINISHED     ((uint8_t)0x31)
#define MODE_SBI_I2C_CHECK       ((uint8_t)0x40)
#define MODE_SBI_I2C_ACK         ((uint8_t)0x41)
#define MODE_SBI_I2C_RCV_ACK     ((uint8_t)0x50)
#define MODE_SBI_I2C_CHECK_RCV   ((uint8_t)0x51) 
#define MODE_SBI_MASTER_RECV_FINISHED  (((uint8_t)0x60))


#define SBICR2_MASTER_RECV_START ((uint32_t)0x000000B0)

#define SBI_I2C_ACK              ((uint8_t)0x10)
  
extern uint32_t gI2CWCnt;
extern uint32_t gI2CTxDataLen;
extern char gI2CTxData[16];

void SBI_IO_Configuration(void);


#endif                         /* __MAIN_H */
