/**
 ******************************************************************************
 * @file    TMPM383_sbi_int.c
 * @brief   The SBI ISR of SBI slave demo for the
 *          TOSHIBA 'TMPM383' Device Series 
 * @version V0.100
 * @date    2015/06/17
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */

#include "tmpm383_sbi_int.h"

uint32_t tmpx = 0U;
/**
  * @brief  Interrupt Service Routine for SBI
  * @param  None
  * @retval None
  */
void INTSBI0_IRQHandler(void)
{
    uint32_t tmp = 0U;
    TSB_SBI_TypeDef *SBIy;
    SBI_I2CState sbi0_sr;

    SBIy = TSB_SBI0;
    sbi0_sr = SBI_GetI2CState(SBIy);
    if (!sbi0_sr.Bit.MasterSlave) {     /* Slave mode */
        if (!sbi0_sr.Bit.TRx) {         /* Rx Mode */
            if (sbi0_sr.Bit.SlaveAddrMatch) {
                /* First read is dummy read for Slave address recognize */
                tmpx = SBI_GetReceiveData(SBIy);
                gI2CRCnt = 0U;
             } else {
                /* Read I2C received data and save to I2C_RxData buffer */
                tmp = SBI_GetReceiveData(SBIy);
                gI2CRxData[gI2CRCnt] = tmp;
                gI2CRCnt++;
            }
        } else {                       /* Tx Mode */
            /* Do nothing */
        }
    } else {                           /* Master mode */
        /* Do nothing */
    }
}
