/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of VLTD (Voltage Detection Circuit) demo
 *          for the TOSHIBA 'TMPM383' Device Series
 * @version V0.100
 * @date    2015/06/11
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#include "tmpm383_cg.h"
#include "tmpm383_gpio.h"
#include "tmpm383_vltd.h"
#include "tmpm383_wdt.h"

int main(void)
{
    WDT_Disable();                        /* Disable WDT explicitly */
    GPIO_SetOutput(GPIO_PH, GPIO_BIT_0);  /* Set PH0 as output port */

    if (CG_GetResetFlag().Bit.PowerOn == 0U) {
        VLTD_Enable();                    /* Enable VLTD function */
        GPIO_WriteData(GPIO_PH, 0x00U);    /* Set PH0 to LOW */
    } else {
        VLTD_Disable();                   /* Disable VLTD function */
        GPIO_WriteData(GPIO_PH, 0x01U);    /* Set PH0 to HIGH */
    }

    while (1U) {
        /* Do nothing */
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1U) {
        __NOP();
    }
}
#endif
